<?php
include_once 'bd.php';

class EscolaProfessor{
  
    public $bd;
    
    public $id;
    public $codigoinep;
    public $nome;
    public $municipio;
    public $uf;
    public $logradouro;
    public $bairro;
    public $complemento;
    public $cep;
    public $categoriainep;
    public $tipo;
    public $professor_id;

    public function __construct() {
        $this->bd = new BD();
    }
    
    public function inserir(){
        $sql = "INSERT INTO imediaco_geo.escolaprofessor (codigoinep, nome, municipio, uf, categoriainep,tipo,logradouro,bairro,complemento,cep, professor_id)
                VALUES ('$this->codigoinep', '$this->nome', '$this->municipio', '$this->uf', '$this->categoriainep', '$this->tipo', '$this->logradouro', '$this->bairro','$this->complemento','$this->cep','$this->professor_id')";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('inserir escola', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao inserir escola";
            return false;
        }
    }
    
    public function editar(){
        $sql = "UPDATE imediaco_geo.escolaprofessor SET
                codigoinep = '$this->codigoinep'
                ,nome = '$this->nome'
                ,municipio = '$this->municipio'
                ,uf = '$this->uf'
                ,categoriainep = '$this->categoriainep'
                ,tipo = '$this->tipo'
                ,logradouro = '$this->logradouro'
                ,bairro = '$this->bairro'
                ,complemento = '$this->complemento'
                ,cep = '$this->cep'
                ,professor_id = '$this->professor_id'
                WHERE id = '$this->id'";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('editar escola', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao editar escola";
            return false;
        }
    }
    
    public function excluir(){
        $sql = "DELETE FROM imediaco_geo.escolaprofessor WHERE id = '$this->id'";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('excluir escola', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao excluir escola";
            return false;
        }
    }
    
    public function encontrar($id){
        $sql = "SELECT * FROM imediaco_geo.escolaprofessor WHERE id = '$id'";
        $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        $obj = $this->bd->getObjeto();

        $this->id = $obj->id;
        $this->codigoinep = $obj->codigoinep;
        $this->nome = $obj->nome;
        $this->municipio = $obj->municipio;
        $this->uf = $obj->uf;
        $this->categoriainep = $obj->categoriainep;
        $this->tipo = $obj->tipo;
        $this->logradouro = $obj->logradouro;
        $this->bairro = $obj->bairro;
        $this->complemento = $obj->complemento;
        $this->cep = $obj->cep;
        $this->professor_id = $obj->professor_id;

        
        return $obj;
    }
}